cURL
curl --request POST \
--url https://sandbox.withclasp.com/plan_configurations/{public_id}/contribution_strategy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"strategy_type": "benefit_split",
"employer_contribution": {
"member": {
"contribution": "<string>",
"monthly_min_threshold": "<string>",
"monthly_max_threshold": "<string>"
},
"member_spouse": {
"contribution": "<string>",
"monthly_min_threshold": "<string>",
"monthly_max_threshold": "<string>"
},
"member_child": {
"contribution": "<string>",
"monthly_min_threshold": "<string>",
"monthly_max_threshold": "<string>"
},
"member_children": {
"contribution": "<string>",
"monthly_min_threshold": "<string>",
"monthly_max_threshold": "<string>"
},
"member_family": {
"contribution": "<string>",
"monthly_min_threshold": "<string>",
"monthly_max_threshold": "<string>"
}
}
}
'import requests
url = "https://sandbox.withclasp.com/plan_configurations/{public_id}/contribution_strategy"
payload = {
"strategy_type": "benefit_split",
"employer_contribution": {
"member": {
"contribution": "<string>",
"monthly_min_threshold": "<string>",
"monthly_max_threshold": "<string>"
},
"member_spouse": {
"contribution": "<string>",
"monthly_min_threshold": "<string>",
"monthly_max_threshold": "<string>"
},
"member_child": {
"contribution": "<string>",
"monthly_min_threshold": "<string>",
"monthly_max_threshold": "<string>"
},
"member_children": {
"contribution": "<string>",
"monthly_min_threshold": "<string>",
"monthly_max_threshold": "<string>"
},
"member_family": {
"contribution": "<string>",
"monthly_min_threshold": "<string>",
"monthly_max_threshold": "<string>"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
strategy_type: 'benefit_split',
employer_contribution: {
member: {
contribution: '<string>',
monthly_min_threshold: '<string>',
monthly_max_threshold: '<string>'
},
member_spouse: {
contribution: '<string>',
monthly_min_threshold: '<string>',
monthly_max_threshold: '<string>'
},
member_child: {
contribution: '<string>',
monthly_min_threshold: '<string>',
monthly_max_threshold: '<string>'
},
member_children: {
contribution: '<string>',
monthly_min_threshold: '<string>',
monthly_max_threshold: '<string>'
},
member_family: {
contribution: '<string>',
monthly_min_threshold: '<string>',
monthly_max_threshold: '<string>'
}
}
})
};
fetch('https://sandbox.withclasp.com/plan_configurations/{public_id}/contribution_strategy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"strategy_type": "benefit_split",
"employer_contribution": {
"member": {
"contribution": "<string>",
"monthly_min_threshold": "<string>",
"monthly_max_threshold": "<string>"
},
"member_spouse": {
"contribution": "<string>",
"monthly_min_threshold": "<string>",
"monthly_max_threshold": "<string>"
},
"member_child": {
"contribution": "<string>",
"monthly_min_threshold": "<string>",
"monthly_max_threshold": "<string>"
},
"member_children": {
"contribution": "<string>",
"monthly_min_threshold": "<string>",
"monthly_max_threshold": "<string>"
},
"member_family": {
"contribution": "<string>",
"monthly_min_threshold": "<string>",
"monthly_max_threshold": "<string>"
}
}
}Plan Configurations
Define Contribution Strategy
Defines a contribution strategy for a given plan configuration.
POST
/
plan_configurations
/
{public_id}
/
contribution_strategy
cURL
Authorizations
API Key authentication with required prefix "Bearer"
Path Parameters
Body
application/json
⌘I